%{0
    Header formatting for tunes in a book
%}

\version "2.16.0"

\paper {
    scoreTitleMarkup = \markup {
        \override #'(baseline-skip . 3)
        \column {
            \fill-line {
				\column {
					\fromproperty #'header:meter
				}
                \column \center-align {
                    \huge \bold \fromproperty #'header:title
                    \large \bold \fromproperty #'header:subtitle					
                }
                \column \right-align {
                
					\fromproperty #'header:composer
					$(if (and (ly:get-option 'header:composer) (ly:get-option 'header:arranger))
						(markup " "))
					$(if (ly:get-option 'header:arranger)
						(markup " Arr."))
					\italic \fromproperty #'header:arranger	
				}
            }
            $(if (not (ly:get-option 'without-comment))
                 (markup #:justify-field 'header:comment)
                 (markup))
        }
    }
	oddFooterMarkup = \markup {
	  	\column {
		  	\fill-line { \fromproperty #'header:copyright }
			\fill-line { \fromproperty #'header:tagline	}
		}
	}
}
