%{0
    Header formatting for tunes.
%}

\version "2.16.0"

\paper {
    scoreTitleMarkup = \markup {
        \override #'(baseline-skip . 3)
        \column {
            \fill-line {
                \column {
                    \large \bold \fromproperty #'header:title
                    \bold \fromproperty #'header:subtitle
					\small \bold \fromproperty #'header:band
                }
                \fromproperty #'header:meter
                \column \right-align {
					\fromproperty #'header:instrument
					\line {
						\fromproperty #'header:composer
						$(if (and (ly:get-option 'header:composer) (ly:get-option 'header:arranger))
							(markup " "))
						$(if (ly:get-option 'header:arranger)
							(markup " Arr."))
						\italic \fromproperty #'header:arranger }
				}
            }
            $(if (not (ly:get-option 'without-comment))
                 (markup #:justify-field 'header:comment)
                 (markup))
        }
    }
	oddFooterMarkup = \markup {
	  	\column {
		  	\fill-line { \fromproperty #'header:copyright }
			\fill-line { \fromproperty #'header:tagline	}
		}
	}
}
